## RygelSubtitle

RygelSubtitle — Represents a subtitle for a video.

## Functions

RygelSubtitle * | rygel_subtitle_new ()
gpointer | rygel_subtitle_ref ()
void | rygel_subtitle_unref ()
GParamSpec * | rygel_param_spec_subtitle ()
void | rygel_value_set_subtitle ()
gpointer | rygel_value_get_subtitle ()
void | rygel_value_take_subtitle ()

## Types and Values

#define | RYGEL_TYPE_SUBTITLE
struct | RygelSubtitle
struct | RygelSubtitleClass

## Object Hierarchy

        RygelSubtitle

## Description

## Functions

### rygel_subtitle_new ()

    RygelSubtitle *
    rygel_subtitle_new (const gchar *mime_type,
                        const gchar *caption_type);

#### Parameters

mime_type |  |
caption_type |  |

### rygel_subtitle_ref ()

    gpointer
    rygel_subtitle_ref (gpointer instance);

Increases the reference count of `object` .

#### Parameters

instance | a RygelSubtitle. |

#### Returns

the same `object`

### rygel_subtitle_unref ()

    void
    rygel_subtitle_unref (gpointer instance);

Decreases the reference count of `object` . When its reference count drops to 0, the object is finalized (i.e. its memory is freed).

#### Parameters

instance | a RygelSubtitle. |

### rygel_param_spec_subtitle ()

    GParamSpec *
    rygel_param_spec_subtitle (const gchar *name,
                               const gchar *nick,
                               const gchar *blurb,
                               GType object_type,
                               GParamFlags flags);

Creates a new GParamSpecBoxed instance specifying a `RYGEL_TYPE_SUBTITLE` derived property.

See ``g_param_spec_internal()`` for details on property names.

#### Parameters

name | canonical name of the property specified |
nick | nick name for the property specified |
blurb | description of the property specified |
object_type | `RYGEL_TYPE_SUBTITLE` derived type of this property |
flags | flags for the property specified |

### rygel_value_set_subtitle ()

    void
    rygel_value_set_subtitle (GValue *value,
                              gpointer v_object);

Set the contents of a `RYGEL_TYPE_SUBTITLE` derived GValue to `v_object` .

`rygel_value_set_subtitle()` increases the reference count of `v_object` (the GValue holds a reference to `v_object`). If you do not wish to increase the reference count of the object (i.e. you wish to pass your current reference to the GValue because you no longer need it), use `rygel_value_take_subtitle()` instead.

It is important that your GValue holds a reference to `v_object` (either its own, or one it has taken) to ensure that the object won't be destroyed while the GValue still exists).

#### Parameters

value | a valid GValue of `RYGEL_TYPE_SUBTITLE` derived type |
v_object | object value to be set |

### rygel_value_get_subtitle ()

    gpointer
    rygel_value_get_subtitle (const GValue *value);

Get the contents of a `RYGEL_TYPE_SUBTITLE` derived GValue.

#### Parameters

value | a valid GValue of `RYGEL_TYPE_SUBTITLE` derived type |

#### Returns

object contents of `value`

### rygel_value_take_subtitle ()

    void
    rygel_value_take_subtitle (GValue *value,
                               gpointer v_object);

Sets the contents of a `RYGEL_TYPE_SUBTITLE` derived GValue to `v_object` and takes over the ownership of the callers reference to `v_object` ; the caller doesn't have to unref it any more (i.e. the reference count of the object is not increased).

If you want the GValue to hold its own reference to `v_object` , use `rygel_value_set_subtitle()` instead.

#### Parameters

value | a valid GValue of `RYGEL_TYPE_SUBTITLE` derived type |
v_object | object value to be set |

## Types and Values

### RYGEL_TYPE_SUBTITLE

    #define RYGEL_TYPE_SUBTITLE (rygel_subtitle_get_type ())

The type for RygelSubtitle.

### struct RygelSubtitle

    struct RygelSubtitle;

Represents a subtitle for a video.

### struct RygelSubtitleClass

    struct RygelSubtitleClass {
    	GTypeClass parent_class;
    	void (*finalize) (RygelSubtitle *self);
    };

The class structure for `RYGEL_TYPE_SUBTITLE`. All the fields in this structure are private and should never be accessed directly.

#### Members

`finalize` () |  |